# Uses of Class
org.apache.zookeeper.server.watch.WatcherOrBitSet

Packages that use WatcherOrBitSet
Package
Description
org.apache.zookeeper.server.watch

## Uses of WatcherOrBitSet in org.apache.zookeeper.server.watch

Methods in org.apache.zookeeper.server.watch that return WatcherOrBitSet
Modifier and Type
Method
Description
`WatcherOrBitSet`
IWatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl)`
Distribute the watch event for the given path.
`WatcherOrBitSet`
IWatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl, WatcherOrBitSet suppress)`
Distribute the watch event for the given path, but ignore those suppressed ones.
`WatcherOrBitSet`
WatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl)`
`WatcherOrBitSet`
WatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl, WatcherOrBitSet supress)`
`WatcherOrBitSet`
WatchManagerOptimized.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl)`
`WatcherOrBitSet`
WatchManagerOptimized.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl, WatcherOrBitSet suppress)`
Methods in org.apache.zookeeper.server.watch with parameters of type WatcherOrBitSet
Modifier and Type
Method
Description
`WatcherOrBitSet`
IWatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl, WatcherOrBitSet suppress)`
Distribute the watch event for the given path, but ignore those suppressed ones.
`WatcherOrBitSet`
WatchManager.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl, WatcherOrBitSet supress)`
`WatcherOrBitSet`
WatchManagerOptimized.`triggerWatch(String path, Watcher.Event.EventType type, long zxid, List<ACL> acl, WatcherOrBitSet suppress)`